Subject: Re: [PATCH v3] packfile: freshen the mtime of packfile by configuration

From: Junio C Hamano <[email-masked]>
Date: Mon, 19 Jul 2021 17:07:53 -0700

Taylor Blau <[email-masked]> writes:

> Hmm. I'm still quite unconvinced that we should be taking this direction
> without better motivation. We talked about your assumption that NFS
> seems to be invalidating the block cache when updating the inodes that
> point at those blocks, but I don't recall seeing further evidence.

Me neither.  Not touching the pack and not updating the "most
recently used" time of individual objects smells like a recipe
for repository corruption.

> My opinion is that it is not, and that the bizarre caching behavior you
> are seeing is out of Git's control.